#
# spec file for package gtk-engines (Version 0.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel imlib imlib-devel libjpeg libpng libtiff libungif xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gtk-engines
Copyright:    GPL
Group:        X11/GNOME/Utilities
Obsoletes:    gtkeng
Autoreqprov:  on
Summary:      Theme Engines for GTK+
Version:      0.12
Release:      166
Source0:      ftp://ftp.gnome.org/pub/GNOME/stable/sources/gtk-engines/gtk-engines-%{version}.tar.bz2
Source1:      ColorStep-1.2.x-200005281440.tar.bz2
Source2:      GTKstep-1.2.x-200001110524.tar.bz2
Source3:      Mac2-1.2.x-200003050858.tar.bz2
Source4:      NewPsychicAbilities-1.2.x-200005032052.tar.bz2
Source5:      Xenophilia-1.2.x-200004031853.tar.bz2
Source6:      clean-1.2.x-200006131917.tar.bz2
Patch:        gtk-engines-ia64.dif
Url: 	      http://gtk.themes.org
BuildRoot:    /var/tmp/gtk-engines-root

%description
Notif: A simple Motif-look-alike theme.

Authors:
--------
    Federico Mena Quintero <federico@nuclecu.unam.mx>
    Frank Belew <frb@umr.edu>
    Manish Singh <yosh@gimp.org>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Owen Taylor <otaylor@redhat.com>
    Raja R Harinath <harinath@cs.umn.edu>
    The Rasterman <raster@redhat.com>

SuSE series: xwm

%prep
%setup 
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
 ./configure --prefix=/usr 
make

%install
make exec_prefix=$RPM_BUILD_ROOT/usr/ \
     prefix=$RPM_BUILD_ROOT/usr/ install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%docdir %{_defaultdocdir}/%{name}/
/usr/lib/gtk/themes/engines/*
/usr/share/themes/*

%changelog -n gtk-engines
* Wed May 23 2001 - pblaha@suse.cz
- fix include on ia64
* Sat Mar 24 2001 - egger@suse.de
- Updated to version 0.12.
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.11.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Wed Nov 22 2000 - egger@suse.de
- Reworked the package a bit.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Jun 19 2000 - bubnikv@suse.cz
- added a lot of themes from gtk.themes.org
- spec file is rewritten
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Thu Jan 27 2000 - fehr@suse.de
- changed to new version 0.10
* Tue Oct 12 1999 - fehr@suse.de
- changed to new version 0.8
- add a lot of additional themes
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Apr 20 1999 - fehr@suse.de
- changed to new version 0.5
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Wed Feb 17 1999 - ke@suse.de
- New package: version 0.4.
